# List Payout Transactions

Endpoint: GET /payout-transactions
Version: partners-v1
Security: bearerAuth, basicAuth

## Query parameters:

  - `limit` (integer)
    Limit the number of payout transactions returned.

  - `page` (string)
    Specify the page of payout transactions returned.

  - `filter` (string)
    Filter Payout Transactions by the specified fields.

Filter semantics: `filter[field][operator]=value`.

Available filter operators:
- `eq` - equal (=)
- `ne` - not equal (!=)
- `gt` - greater than (>)
- `gte` - greater than or equal (>=)
- `lt` - less than (<)
- `lte` - less than or equal  (<=)

Filtering is allowed by the following fields:
  - `merchant_id` (`eq`) - filter by sub-merchant ID
  - `customer_id` (`eq`, `ne`)
  - `created_at` (`eq`, `gt`, `lt`, `gte`, `lte`)
  - `payout_id` (`eq`, `ne`)
  - `invoice_id` (`eq`, `ne`)

Example: `filter[created_at][gte]=2021-01-01T00:00:00.000Z`

Note: filter with the `eq` operator is equivalent to the following filter `filter[field]=value`

  - `sort` (string)
    Sort Payout Transactions by the specified fields.

The sort order for each sort field is ascending unless it is prefixed with a minus,
in which case it is descending.

Multiple sort fields supported by allowing comma-separated sort fields. Sort fields will be applied in the order specified.

Sorting is allowed by the following fields: `id`, `created_at`.

Example: `sort=id,-created_at`

## Response 200 fields (application/json):

  - `limit` (integer)
    Example: 25

  - `page` (integer)
    Example: 1

  - `results` (array)

  - `results.id` (string)
    Unique identifier of the payout transaction.
    Example: AOncfxMnm

  - `results.merchant_id` (string)
    ID of the sub-merchant or partner this payout transaction belongs to.
    Example: MER456789

  - `results.payout_id` (string)
    Resolve payout ID.
    Example: gQxGLAowY

  - `results.type` (string)
    Type of the payout transaction.
    Enum: "advance", "payment", "refund", "monthly_fee", "annual_fee", "non_advanced_invoice_fee", "merchant_payment", "mdr_extension", "credit_note", "express_ach_payout_fee", "express_ach_payment_fee", "mdr_passthrough"

  - `results.customer_id` (string)
    Resolve customer ID.
    Example: voArW2nSs

  - `results.customer_name` (string)
    Name of the customer.
    Example: Test name

  - `results.invoice_id` (string)
    Resolve invoice ID.
    Example: C2vBqxfZ4

  - `results.invoice_number` (string)
    Invoice number identifier.
    Example: R334-097R

  - `results.order_id` (string)
    Resolve order ID.
    Example: u5WRraCYY

  - `results.po_number` (string)
    PO number identifier.
    Example: PO-09785

  - `results.amount_gross` (integer)
    Payout transaction gross amount.
    Example: 100

  - `results.amount_fee` (integer)
    Payout transaction fee amount.
    Example: 3

  - `results.amount_net` (integer)
    Payout transaction net amount.
    Example: 97

  - `results.created_at` (string)
    Date time of when the payout transaction was created.
    Example: 2022-09-06T03:08:37.508Z

  - `results.updated_at` (string)
    Date time of when the payout transaction was last updated.
    Example: 2022-09-06T03:08:37.508Z

## Response 400 fields (application/json):

  - `error` (object)

  - `error.message` (string)
    A short string, describing error details
    Example: Validation error

  - `error.type` (string)
    A short string, describing error type
    Enum: "validation_error"

  - `error.details` (array)

  - `error.details.path` (string)
    Path to the field failed validation
    Example: path.to.field

  - `error.details.message` (string)
    Detailed description of the error
    Example: `[field]` is required

## Response 401 fields (application/json):

  - `error` (object)

  - `error.message` (string)
    A short string, describing error details
    Example: Invalid merchant credentials

  - `error.type` (string)
    A short string, describing error type
    Enum: "authentication_error"

## Response 429 fields (application/json):

  - `error` (object)

  - `error.message` (string)
    A short string, describing error details
    Example: Too many requests

  - `error.type` (string)
    A short string, describing error type
    Enum: "rate_limit_error"

